# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Module/Signature.pm) perl(Net/SSLeay.pm) perl(Socket.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm) perl(WWW/Mechanize.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 1.05
%define module_name Finance-Bank-DE-NetBank
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Check your NetBank Bank Accounts with Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RM/RMORIZ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides a very limited interface to the webbased online banking
interface of the German "NetBank e.G." operated by Sparda-Datenverarbeitung e.G..

WARNING! This module is neither offical nor is it tested to be 100%% save! 
Because of the nature of web-robots, everything may break from one day to
the other when the underlaying web interface changes.

This is code for online banking, and that means your money, and
that means BE CAREFUL. You are encouraged, nay, expected, to audit
the source of this module yourself to reassure yourself that I am not
doing anything untoward with your banking data. This software is useful
to me, but is provided under NO GUARANTEE, explicit or implied.

You can find tests in the ` t ' subdirectory. See the TESTS manpage for more details.


%prep
%setup -n %module_name-%module_version
rm -f t/[0-9]-signature.t t/[0-9][0-9]-signature.t t/[0-9]signature.t t/[0-9][0-9]signature.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.txt Changes Todo README.html LICENSE
%perl_vendor_privlib/F*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- initial import by package builder

